# Wordpress Plugin - ANDP Boxed

## Proxy Setting
This section is proxy configuration on your own server. 
* Enable the modules: 
  * ``a2enmod proxy``
  * ``a2enmod proxy_http``
  * ``a2enmod ssl``
* By default wordpress uses the file ``/etc/apache2/sites-available/000-default.conf`` for proxy. Disable the default configuration `a2dissite 000-default.conf`. 
* Add the file `proxy.conf` (see below) inside the folder ``/etc/apache2/site-available/`` and edit the instances of Acta Nova and mesh inside the file `proxy.conf`
* Activate the conf: `a2ensite proxy.conf` and then `service apache2 reload`

`proxy.conf`
```
<VirtualHost *:80>
        DocumentRoot /var/www/html
        SSLProxyEngine on 
        ProxyPreserveHost Off

        #Actanova instance
        ProxyPass /api/acta-nova <URL of your Acta Nova instance>
        ProxyPassReverse /api/acta-nova <URL of your Acta Nova instance>

        # built JS and CSS files
        ProxyPass /static/formgen/static <{your mesh instance}/api/v2/{your project name}/plugins/acta-nova/webroot/formgen/static>
        ProxyPassReverse /static/formgen/static <{your mesh instance}/api/v2/{your project name}/plugins/acta-nova/webroot/formgen/static>

        # Translation (https://andp22-mesh.gdpsc.gentics.com/api/v2/eGov/plugins/acta-nova/webroot/formgen/static/translations is the default url for translation)
        ProxyPass /static/translations https://andp22-mesh.gdpsc.gentics.com/api/v2/eGov/plugins/acta-nova/webroot/formgen/static/translations
        ProxyPassReverse /static/translations https://andp22-mesh.gdpsc.gentics.com/api/v2/eGov/plugins/acta-nova/webroot/formgen/static/translations

</VirtualHost>

```  
### Translation configuration 
This configuration happens inside the plugin folder.    

Edit the variable `translationUrl` inside the ``/src/block.json`` to set the source url where you get your translation json files.   

 Make sure you have a folder `yourdomain.com/wp-content/uploads/` and add a folder named `translation` and add your translation js files (for example: de.json) inside the `translation`folder. 


## How to deploy and use the plugin in wordpress
* Configure proxy if this have not been done (see Proxy Setting)
* Copy the `andpboxed-wp-plugin` folder into "yourWordPressDomain/wp-content/plugins
* Set the url for translation inside the block.json (see Translation configuration)
* Visit the page : "yourWordPressDomain/wp-admin/plugins.php" and activate the plugin `Acta Nova Dialog Portal - Formular support`
* After the activation you will find a block under the section widget when editing the page. Or just enter `/ANDP` (Or the full name: `Acta Nova Dialog Portal - Formular support`) to the place where you would like to add a formular. 
* On the right side you can add the ID of the desired form. After you saved / published the page, you will see the loaded form on the front-page.




## When new version is released:
It' necessary to check and edit the `transactionUrl` inside the file `block.json`.








